version: '3.8'

services:
  app:
    env_file: .env.dev
    volumes:
      - .:/var/www/html
  nginx:
    ports:
      - "80:80"
  mysql:
    env_file: .env.dev
    environment:
      MYSQL_DATABASE: technosu_dev
      MYSQL_USER: technosu_dev
      MYSQL_PASSWORD: devpassword123
      MYSQL_ROOT_PASSWORD: root
    ports:
      - "3306:3306"
  redis:
    env_file: .env.dev
    ports:
      - "6379:6379"
